Ciele
Flows

Check a Flow patch without storing it (shows the inserted human-review gate)

POST/api/v1/flows/draft

Erfordert einen API-Schlüssel der Organisation mit der Berechtigung „edit“.

AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/flows/draft" \  -H "Content-Type: application/json" \  -d '{    "summary": "string",    "patch": {}  }'
{  "applied": "draft",  "summary": "string",  "patch": {    "description": "string",    "name": "string",    "actions": [      "improvement"    ],    "trigger": "message",    "triggerSettings": {      "timeOnPage": {        "minutes": 0,        "seconds": 0      },      "httpRequest": {        "methods": [          null        ]      }    },    "conditionLogic": "any",    "conditions": [      {        "id": "string",        "kind": "conversation_context",        "description": "string",        "examples": [          null        ]      }    ],    "actionSettings": {      "search_knowledge": {        "escalatePrompt": false,        "improvementItems": false,        "searchGuidelines": "string",        "answeringStyle": "string",        "overrideAnsweringStyle": false      },      "basic_reply": {        "message": "string"      },      "show_button": {        "label": "string",        "type": "external_link",        "url": "string",        "helpDeskId": "string",        "text": "string",        "faqId": "string",        "faqQuestion": "string",        "showIcon": false,        "icon": "message"      },      "iframe": {        "url": "string",        "title": "string",        "lightbox": false,        "height": 0,        "heightUnit": "vh"      },      "api_request": {        "endpoint": "url",        "swaggerUrl": "string",        "operationId": "string",        "method": "GET",        "url": "string",        "auth": {          "type": null        },        "headers": [          {            "id": null,            "name": null,            "value": null          }        ],        "queryParams": [          {            "id": null,            "name": null,            "value": null          }        ],        "bodyTemplate": "string",        "jsonPaths": [          {            "id": null,            "path": null,            "variable": null          }        ]      },      "send_email": {        "to": "string"      },      "handover": {        "assistantId": "string"      },      "connector": {        "provider": "salesforce",        "connectionId": "string",        "action": "string",        "params": {          "property1": "string",          "property2": "string"        },        "successMessage": "string",        "failureMessage": "string"      },      "human_review": {        "title": "string",        "message": "string",        "assignees": [          "string"        ],        "channel": "slack",        "senderConnectionId": "string",        "slackTarget": "string",        "inputs": [          {            "id": null,            "label": null,            "type": null,            "required": null,            "placeholder": null,            "options": null          }        ],        "timeoutHours": 0,        "haltMessage": "string",        "waitingMessage": "string",        "mode": "always"      },      "http_webhook": {        "subscribe": {          "method": null,          "url": "string",          "bodyTemplate": "string",          "auth": null,          "headers": [            null          ],          "jsonPaths": [            null          ]        },        "unsubscribe": {          "method": null,          "url": "string",          "bodyTemplate": "string",          "auth": null,          "headers": [            null          ],          "jsonPaths": [            null          ]        },        "timeoutMinutes": 0,        "waitingMessage": "string",        "haltMessage": "string",        "jsonPaths": [          {            "id": null,            "path": null,            "variable": null          }        ]      },      "respond": {        "status": 0,        "headers": [          {            "id": null,            "name": null,            "value": null          }        ],        "bodyTemplate": "string"      },      "follow_up_questions": {        "mode": "ai_generated",        "questions": [          "string"        ]      },      "notification": {        "title": "string",        "content": "string",        "deliveryRule": "visitor",        "allowReplies": false,        "buttons": [          {            "id": null,            "label": null,            "type": null,            "url": null,            "text": null          }        ]      }    },    "customMessage": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}